Bug 219408 - [NEW PORT] security/sedutil Self Encrypting Drive utility
Summary: [NEW PORT] security/sedutil Self Encrypting Drive utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-19 20:47 UTC by Kenneth D. Merry
Modified: 2020-04-03 00:46 UTC (History)
4 users (show)

See Also:


Attachments
sedutil port shar archive (2.45 KB, text/plain)
2017-05-19 20:47 UTC, Kenneth D. Merry
no flags Details
Updated sedutil port (2.44 KB, text/plain)
2017-05-23 19:33 UTC, Kenneth D. Merry
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth D. Merry freebsd_committer 2017-05-19 20:47:39 UTC
Created attachment 182746 [details]
sedutil port shar archive

This is a port of sedutil, a Self Encrypting Drive utility.  This allows users to manage drives with SED functionality based on the various TCG (Trusted Computing Group) standards.

Alexander Motin ported it to FreeBSD, and I have added a number of bug fixes.  The utility maintainers have not yet incorporated Alexander's or my changes, thus the port pulls from my GitHub account.

This port passes portlint, but I haven't tested it to make sure it builds on all architectures, etc.

From the web site:

The Drive Trust Alliance software (sedutil) is an Open Source (GPLv3)
effort to make Self Encrypting Drive technology freely available to
everyone. It is a combination of the two known available Open Source code
bases today: msed and OpalTool.

The DTA Open Source can be employed freely not only for higher security
applications but also for integration in embedded applications such as
Automotive, Aerospace, Home Automation, and everywhere where the Data
Leakage problem has already become obvious and where it will be obvious.
The storage device suppliers are already gearing to give you
self-encrypting storage. All you have to do is work with them.

Original utility GitHub page:

https://github.com/Drive-Trust-Alliance/sedutil

Alexander Motin's FreeBSD changes:

https://github.com/amotin/sedutil

Alexander's and my changes combined:

https://github.com/kendmerry/sedutil
Comment 1 Kenneth D. Merry freebsd_committer 2017-05-23 19:33:54 UTC
Created attachment 182836 [details]
Updated sedutil port

I changed the version to 1.12.  Thanks for the feedback!
Comment 2 Ed Maste freebsd_committer 2019-06-09 10:44:10 UTC
It looks like upstream is willing to merge the changes but is looking for a contributor agreement?

https://github.com/Drive-Trust-Alliance/sedutil/pull/87
Comment 3 Rene Ladan freebsd_committer 2019-11-05 21:03:32 UTC
Ports commit bit safekept.
Comment 4 commit-hook freebsd_committer 2020-04-03 00:45:20 UTC
A commit references this bug:

Author: swills
Date: Fri Apr  3 00:44:51 UTC 2020
New revision: 530458
URL: https://svnweb.freebsd.org/changeset/ports/530458

Log:
  security/sedutil: create port

  Self Encrypting Drive utility.

  This allows encrypting and decrypting drives that use encryption based on
  the various TCG (Trusted Computing Group) specifications.

  From the web site:

     The Drive Trust Alliance software (sedutil) is an Open Source (GPLv3)
     effort to make Self Encrypting Drive technology freely available to
     everyone. It is a combination of the two known available Open Source code
     bases today: msed and OpalTool.

     The DTA Open Source can be employed freely not only for higher security
     applications but also for integration in embedded applications such as
     Automotive, Aerospace, Home Automation, and everywhere where the Data
     Leakage problem has already become obvious and where it will be obvious.
     The storage device suppliers are already gearing to give you
     self-encrypting storage. All you have to do is work with them.

  For more information:

  WWW: https://github.com/Drive-Trust-Alliance/sedutil

  PR:		219408
  Submitted by:	ken

Changes:
  head/security/Makefile
  head/security/sedutil/
  head/security/sedutil/Makefile
  head/security/sedutil/distinfo
  head/security/sedutil/pkg-descr
Comment 5 Steve Wills freebsd_committer 2020-04-03 00:46:23 UTC
Committed, sorry for the delay.